Subject: [bug#38527] [PATCH] gnu: libdbi-drivers: Fix build with multi-output mariadb.

From: Marius Bakke <[email-masked]>
Date: Thu, 26 Dec 2019 17:57:47 +0100

Guillaume Le Vaillant <[email-masked]> writes:

> Marius Bakke skribis:
>
>> Guillaume Le Vaillant <[email-masked]> writes:
>>
>>> * gnu/packages/databases.scm (libdbi-drivers)[native-inputs]: Add mysql and
>>>   mysql-dev.
>>>   [inputs]: Remove mysql and add mysql-lib and zlib.
>>>   [arguments]: Remove unnecessary configure-flags and disable mysql
>>>   test because mysql_install_db fails to run.
>>
>> Whoops, I did not see this issue until I had fixed it and searched for a
>> recent bug report on help-guix@.  So I ended up pushing a variant that
>> fixed the MariaDB problem in 9077cf68ec57c0303ef7746e203c3fe5ed041add.
>>
>> By the way, could you create an account on Savannah so that we can grant
>> you commit access?  If you are okay with that, please send a signed
>> reply to this message signed by the same GPG key that you uploaded to
>> Savannah for signing git commits.
>>
>> Thanks,
>> Marius
>
> Hi, I created an account on Savannah (account name is "glv"). The GPG
> key I usually use is an ED25519 key, but it looks like the version of
> GnuPG on Savannah is old and doesn't support that. So I added a DSA
> subkey and tried to upload the updated key. The Savannah website printed
> a "key saved" message, but I'm not sure if it will work as the main key
> is an ED25519 one...

Looks good!

I have added you to the project now, so you should be able to push
commits directly.

Make sure to read HACKING, as well as the "Contributing" section of the
manual; and don't be afraid to ask on #guix or the lists if you are
unsure about anything.

Thank you, and welcome!